## asl 0.1.6

=== CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#


project(ASL)

# After switching to 3.1 - remove FindOpenCL.cmake from the distribution
# since it is supported by the cmake itself.
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

# Set version number
set(ASL_VERSION_MAJOR 0)
set(ASL_VERSION_MINOR 1)
set(ASL_VERSION_PATCH 6)

set(ASL_VERSION ${ASL_VERSION_MAJOR}.${ASL_VERSION_MINOR}.${ASL_VERSION_PATCH})

if (CMAKE_VERSION VERSION_LESS 3.1.0)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive -std=c++11")
else()
	set(CMAKE_CXX_STANDARD 11)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive")
endif()

# Enable supplied cmake includes and modules
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/" "${CMAKE_SOURCE_DIR}/cmake/Modules/")

# Add ASL cmake definitions
include(ASLPaths)
include(ASLBuildOptions)
include(ASLBuildFunctions)

# Find dependencies
find_package(OpenCL 1.1 REQUIRED)
# ToDo: check - system component might be not needed any longer on new versions of Boost
find_package(Boost 1.55 REQUIRED COMPONENTS program_options filesystem system)
find_package(VTK 6.1 COMPONENTS vtkRenderingCore vtkImagingCore vtkFiltersCore vtkIOCore vtkIOLegacy vtkIOXML vtkIOMINC vtkCommonCore vtkViewsCore vtkftgl vtksys vtkDICOMParser vtkexpat vtkzlib NO_MODULE)
include(${VTK_USE_FILE})

include_directories(SYSTEM ${OpenCL_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_subdirectory(src)
add_subdirectory(utilities)

if (WITH_EXAMPLES)
	add_subdirectory(examples)
endif()

if (WITH_API_DOC)
	add_subdirectory(doc)
endif()

if (WITH_TESTS)
	# Test labels:
	# DoublePrecision - tests that use double precision (will fail if device does not support it)
	# IO - Input/Output tests (may require input files)
	# Performance - performance tests
	#
	# Run them e.g.: `ctest [-C Release|Debug] -L Performance`
	# Exclude some of them: `ctest -LE DoublePrecision -LE Performance`
	enable_testing()
	add_subdirectory(test)
endif()

# Packaging
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_PACKAGE_VERSION_MAJOR ${ASL_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${ASL_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${ASL_VERSION_PATCH})
set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_README "${PROJECT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Advanced Simulation Library is a free and open source OpenCL-based multiphysics simulation software package.")
set(CPACK_PACKAGE_DESCRIPTION "Advanced Simulation Library (ASL) is a free and open source multiphysics simulation software package. Its computational engine is based, among others, on the Lattice Boltzmann Methods and is written in OpenCL which enable extraordinarily efficient deployment on a variety of massively parallel architectures, ranging from inexpensive FPGAs, DSPs and GPUs up to heterogeneous clusters and supercomputers. The engine is hidden entirely behind C++ classes, so that no OpenCL knowledge is required from application programmers. ASL can be utilized to model various coupled physical and chemical phenomena and employed in a multitude of fields: computational fluid dynamics, virtual sensing, industrial process data validation and reconciliation, image-guided surgery, computer-aided engineering, high-performance scientific computing, etc..")
set(CPACK_PACKAGE_VENDOR "Avtech Scientific")
set(CPACK_PACKAGE_CONTACT "http://avtechscientific.com/contact")

## .deb-specific
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://asl.org.il")
set(CPACK_DEBIAN_PACKAGE_SECTION "science")
set(CPACK_DEBIAN_PACKAGE_SUGGESTS "paraview")
set(CPACK_DEBIAN_PACKAGE_DESCRIPTION "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}\n${CPACK_PACKAGE_DESCRIPTION}")

## .rpm-specific
set(CPACK_RPM_PACKAGE_URL "http://asl.org.il")

## NSIS-specific
set(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\asl.org.il")

include(CPack)


# Config (after package definitions, because CPACK_PACKAGE_DESCRIPTION_SUMMARY
# is used for pkgconfig.

## ASLConfig.cmake
include(CMakePackageConfigHelpers)

# ASL conforms to Semantic Versioning scheme <http://semver.org/>
# Switch to COMPATIBILITY SameMajorVersion on ASL_VERSION 1.0.0
# Till then use COMPATIBILITY ExactVersion 
write_basic_package_version_file(
	"${CMAKE_CURRENT_BINARY_DIR}/ASLConfigVersion.cmake"
	VERSION ${ASL_VERSION}
	COMPATIBILITY ExactVersion
)

export(EXPORT ASLTargets
	FILE "${CMAKE_CURRENT_BINARY_DIR}/ASLTargets.cmake"
	NAMESPACE ASL::
)

set(ConfigPackageLocation ${CMAKE_INSTALL_LIBDIR}/cmake/ASL)

configure_package_config_file(
	${CMAKE_SOURCE_DIR}/cmake/ASLConfig.cmake.in
	${CMAKE_CURRENT_BINARY_DIR}/ASLConfig.cmake
	INSTALL_DESTINATION ${ConfigPackageLocation}
)

install(EXPORT ASLTargets
	FILE
	ASLTargets.cmake
	NAMESPACE
	ASL::
	DESTINATION
	${ConfigPackageLocation}
)

install(FILES
	"${CMAKE_CURRENT_BINARY_DIR}/ASLConfig.cmake"
	"${CMAKE_CURRENT_BINARY_DIR}/ASLConfigVersion.cmake"
	DESTINATION
	${ConfigPackageLocation}
	COMPONENT
	Devel
)


## ASL.pc

### Read the composed list of all sublibs from the ASL_SUBLIBS_GLOBAL_PROPERTY
get_property(ASL_SUBLIBS GLOBAL PROPERTY ASL_SUBLIBS_GLOBAL_PROPERTY)

configure_file(
	${CMAKE_SOURCE_DIR}/cmake/ASL.pc.in
	${CMAKE_CURRENT_BINARY_DIR}/ASL.pc
	@ONLY
)

install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/ASL.pc
	DESTINATION
	${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

=== doc/CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#


find_package(Doxygen REQUIRED)

if (DOXYGEN_DOT_FOUND)
	set(DOXYGEN_HAVE_DOT "YES")
else (DOXYGEN_DOT_FOUND)
	set(DOXYGEN_HAVE_DOT "NO")
	message(WARNING "Graphviz dot was not found! Class inheritance diagrams in the generated documentation will be limited.")
endif (DOXYGEN_DOT_FOUND)

# Configure Doxyfile
configure_file(
	"${PROJECT_SOURCE_DIR}/doc/Developer-Guide/Doxyfile.in"
	"${PROJECT_BINARY_DIR}/doc/Developer-Guide/Doxyfile"
)
add_custom_target(docs ${DOXYGEN_EXECUTABLE} ${PROJECT_BINARY_DIR}/doc/Developer-Guide/Doxyfile)
install(CODE "execute_process(COMMAND ${CMAKE_BUILD_TOOL} docs)")
install(DIRECTORY ${CMAKE_BINARY_DIR}/doc/html DESTINATION ${CMAKE_INSTALL_DOCDIR})

=== examples/CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#


add_subdirectory(flow)
add_subdirectory(elastic)
add_subdirectory(levelSet)
add_subdirectory(jumpingObjects)
add_subdirectory(heatTransfer)
add_subdirectory(massTransferSM)

# Disable this for now, until we decide to distribute the input data along with ASL
# install(DIRECTORY ${CMAKE_SOURCE_DIR}/input_data DESTINATION ${CMAKE_INSTALL_DOCDIR})

=== examples/heatTransfer/CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#


include_directories(${CMAKE_SOURCE_DIR}/src)


add_executable(surfaceFlux surfaceFlux.cc)
target_link_libraries(surfaceFlux aslnum aslvtk asl)
INSTALL_EXAMPLE(surfaceFlux surfaceFlux.cc)

=== examples/levelSet/CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#


include_directories(${CMAKE_SOURCE_DIR}/src)


add_executable(levelSetBasic levelSetBasic.cc)
target_link_libraries(levelSetBasic aslnum aslvtk asl)
INSTALL_EXAMPLE(levelSetBasic levelSetBasic.cc)

add_executable(levelSetNormalGrowth levelSetNormalGrowth.cc)
target_link_libraries(levelSetNormalGrowth aslnum aslvtk asl)
INSTALL_EXAMPLE(levelSetNormalGrowth levelSetNormalGrowth.cc)

add_executable(levelSetFacetedGrowth levelSetFacetedGrowth.cc)
target_link_libraries(levelSetFacetedGrowth aslnum aslvtk asl)
INSTALL_EXAMPLE(levelSetFacetedGrowth levelSetFacetedGrowth.cc)

=== examples/massTransferSM/CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#


include_directories(${CMAKE_SOURCE_DIR}/src)

add_executable(testSMDiff testSMDiff.cc)
target_link_libraries(testSMDiff aslnum aslvtk asl)
INSTALL_EXAMPLE(testSMDiff testSMDiff.cc)

add_executable(testSMDiff3C testSMDiff3C.cc)
target_link_libraries(testSMDiff3C aslnum aslvtk asl)
INSTALL_EXAMPLE(testSMDiff3C testSMDiff3C.cc)

add_executable(testSMPhi testSMPhi.cc)
target_link_libraries(testSMPhi aslnum aslvtk asl)
INSTALL_EXAMPLE(testSMPhi testSMPhi.cc)

add_executable(testSMPhiBV testSMPhiBV.cc)
target_link_libraries(testSMPhiBV aslnum aslvtk asl)
INSTALL_EXAMPLE(testSMPhiBV testSMPhiBV.cc)

=== src/numExtend/CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#


include_directories(${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/src/acl)

# aslnumext

set(aslnumext_PUBLIC_HEADERS
	aslFDAdvectionDiffusionExtended.h
)

set(aslnumext_SOURCES
	aslFDAdvectionDiffusionExtended.cxx
)

add_library(aslnumext ${aslnumext_PUBLIC_HEADERS} ${aslnumext_SOURCES})
target_link_libraries(aslnumext PRIVATE aslnum asl aslacl aslcommon ${OpenCL_LIBRARIES})
INSTALL_SUBLIB(aslnumext aslnumext_PUBLIC_HEADERS)

=== test/testAGL/CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#

# Disable this test for now, until we decide to distribute
# the input data (`bus.stl` in this case) along with ASL

# include_directories(${CMAKE_SOURCE_DIR}/src)

# add_executable(testVTK_IO testVTK_IO.cc)
# target_link_libraries(testVTK_IO aslnum aslvtk asl)
# add_test(NAME testVTK_IO COMMAND testVTK_IO)
# set_tests_properties(testVTK_IO PROPERTIES LABELS IO)
# Hardcode the path to the required input file `bus.stl`
# (tests are not installed, so no need to be relocatable)
# alternatively `bus.stl` can be copied to the test directory
# by cmake (configure_file() for a configuration time copy or add_custom_command() for a build time copy)
# target_compile_definitions(testVTK_IO PRIVATE "INPUT_DATA_DIR=\"${CMAKE_SOURCE_DIR}/input_data/\"")

=== test/testMath/CMakeLists.txt ===
#
# Advanced Simulation Library <http://asl.org.il>
# 
# Copyright 2015 Avtech Scientific <http://avtechscientific.com>
#
#
# This file is part of Advanced Simulation Library (ASL).
#
# ASL is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the License.
#
# ASL is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with ASL. If not, see <http://www.gnu.org/licenses/>.
#


include_directories(${CMAKE_SOURCE_DIR}/src)

add_executable(testASLData testASLData.cc)
target_link_libraries(testASLData asl)
add_test(NAME testASLData COMMAND testASLData)

add_executable(testDistanceFunction testDistanceFunction.cc)
target_link_libraries(testDistanceFunction aslvtk aslnum asl)
add_test(NAME testDistanceFunction COMMAND testDistanceFunction)
set_tests_properties(testDistanceFunction PROPERTIES LABELS DoublePrecision)

add_executable(testReductionFunction testReductionFunction.cc)
target_link_libraries(testReductionFunction asl)
add_test(NAME testReductionFunction COMMAND testReductionFunction)
set_tests_properties(testReductionFunction PROPERTIES LABELS DoublePrecision)

=== debian/changelog ===
asl (0.1.6-3build2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:10:25 +0000

asl (0.1.6-3build1) yakkety; urgency=medium

  * Rebuild against libvtk6.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 May 2016 10:28:44 +0200

asl (0.1.6-3) unstable; urgency=medium

  * Add upstream patch fixing FTBFS with Boost 1.60.
    Thanks to Gianfranco Costamagna

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 07 May 2016 19:19:44 +0100

asl (0.1.6-2) unstable; urgency=medium

  * d/gbp.conf: use recommended DEP-14 settings:
    - Change packaging branch to debian/master.
    - Use upstream tag format.
  * Drop -dbg package in favor of autogenerated -dbgsym.
  * Improve generation of -doc package:
    - Move doxygen to Build-Depends-Indep.
    - Use arch-indep targets to configure and install.
    - Install examples.
  * d/rules: do not set CMAKE_BUILD_TYPE explicitly.
  * d/rules: build examples and testsuite conditionally on nocheck.
  * d/rules: add missing maintainer flags.
  * Run cme fix on d/control:
    - Fix formatting, wrap and sort.
    - Drop versioned dependency on libvtk6-dev.
    - Use secure VCS-Git URI.
    - Bump standards version to 3.9.8, no changes required.
  * Cherry-pick upstream fix for FTBFS error.
    Thanks to Martin Michlmayr (Closes: 822469)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 05 May 2016 20:32:28 +0100

asl (0.1.6-1) unstable; urgency=low

  * Initial release. Closes: #796850

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 26 Aug 2015 11:01:30 +0100

=== debian/control ===
Source: asl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-filesystem-dev (>= 1.55),
               libboost-program-options-dev (>= 1.55),
               libboost-system-dev (>= 1.55),
               libmatio-dev,
               libvtk6-dev,
               ocl-icd-opencl-dev | opencl-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/asl.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/asl.git
Homepage: http://asl.org.il

Package: libasl0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: multiphysics simulation software (shared libraries)
 The Advanced Simulation Library (ASL) is a free and open source multiphysics
 simulation software package.
 .
 Its computational engine is based, among others, on the Lattice Boltzmann
 Methods and is written in OpenCL which enable extraordinarily efficient
 deployment on a variety of massively parallel architectures, ranging from
 inexpensive FPGAs, DSPs and GPUs up to heterogeneous clusters and
 supercomputers. The engine is hidden entirely behind C++ classes, so that no
 OpenCL knowledge is required from application programmers.
 .
 ASL can be utilized to model various coupled physical and chemical phenomena
 and employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, high-performance scientific computing,
 etc...
 .
 This package contains the shared libraries.

Package: libasl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libasl0 (= ${binary:Version})
Suggests: libasl-doc
Description: multiphysics simulation software (development files)
 The Advanced Simulation Library (ASL) is a free and open source multiphysics
 simulation software package.
 .
 Its computational engine is based, among others, on the Lattice Boltzmann
 Methods and is written in OpenCL which enable extraordinarily efficient
 deployment on a variety of massively parallel architectures, ranging from
 inexpensive FPGAs, DSPs and GPUs up to heterogeneous clusters and
 supercomputers. The engine is hidden entirely behind C++ classes, so that no
 OpenCL knowledge is required from application programmers.
 .
 ASL can be utilized to model various coupled physical and chemical phenomena
 and employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, high-performance scientific computing,
 etc...
 .
 This package contains the development files.

Package: libasl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax
Description: multiphysics simulation software (documentation)
 The Advanced Simulation Library (ASL) is a free and open source multiphysics
 simulation software package.
 .
 Its computational engine is based, among others, on the Lattice Boltzmann
 Methods and is written in OpenCL which enable extraordinarily efficient
 deployment on a variety of massively parallel architectures, ranging from
 inexpensive FPGAs, DSPs and GPUs up to heterogeneous clusters and
 supercomputers. The engine is hidden entirely behind C++ classes, so that no
 OpenCL knowledge is required from application programmers.
 .
 ASL can be utilized to model various coupled physical and chemical phenomena
 and employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, high-performance scientific computing,
 etc...
 .
 This package contains the documentation files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

BUILD_OPTIONS = \
	-DBUILD_SHARED_LIBS=ON \
	-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)" \
	-DWITH_MATIO=ON

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
BUILD_OPTIONS += -DWITH_EXAMPLES=ON -DWITH_TESTS=ON
else
BUILD_OPTIONS += -DWITH_EXAMPLES=OFF -DWITH_TESTS=OFF
endif

%:
	dh $@ --parallel 

override_dh_auto_configure-arch:
	dh_auto_configure -- $(BUILD_OPTIONS) -DWITH_API_DOC=OFF

override_dh_auto_configure-indep:
	dh_auto_configure -- $(BUILD_OPTIONS) -DWITH_API_DOC=ON

override_dh_auto_test:
	# No-op.

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_doxygen --indep

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_compress:
	dh_compress --exclude=examples
